Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
phantuhuong

Quay đối tượng bằng VBA

Các bài được khuyến nghị

Có 1 thành viên hỏi tôi cách quay đối tượng bằng VBA, thủ tục như sau:

 

Sub ObjectRotate()
Dim Obj As AcadEntity, Point As Variant
Dim Angle

'Xác định điểm gốc
Point = ActiveDocument.Utility.GetPoint(, "Chon diem goc: ")

'Chọn đối tượng để quay
ActiveDocument.Utility.GetEntity Obj, Point, "Chon doi tuong"
	Obj.Highlight True  'Làm đối tượng sáng lên (chọn)

'Nhập góc quay theo độ, kiểm soát xem có bị lỗi nhập không?
Angle = InputBox("Nhap goc quay theo Do: ", "Chon doi tuong")
	If Not IsNumeric(Angle) Then
		MsgBox "Co loi"
		Exit Sub
	End If

'Quay đối tượng được chọn qua tâm
Obj.Rotate Point, Angle * 3.14 / 180

'Không chọn đối tượng nữa
Obj.Highlight False
Set Obj = Nothing
End Sub

 

Chúc vui vẻ!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

ban cho hoi đoạn VBA này bị lỗi chỗ nào vậy

 

Sub ZoomWindow() 'su dung zoomwindow or Zoompickwindow

Msgbox"Perform a Zoom Window with:" &vbcrlf& "1.3,7.8,0" &vbcrlf&_

"13.7,-2.6,0",,"ZoomWindow"

Dim point1(0 To 2) As Double

Dim point2(0 To 2) As Double

point1(0) = 1.3: point1(1) = 7.8: point1(2) = 0

point2(0) = 13.7: point2(1) = -2.6: point2(2) = 0

ThisDrawing.Application.ZoomWindow point1, point2

'Zoom Pick Window

MsgBox "Perform a ZoomPickWindow", , "ZoomPickWindow"

ThisDrawing.Application.ZoomPickWindow

End Sub

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

ban cho hoi đoạn VBA này bị lỗi chỗ nào vậy

 

Sub ZoomWindow() 'su dung zoomwindow or Zoompickwindow

Msgbox"Perform a Zoom Window with:" &vbcrlf& "1.3,7.8,0" &vbcrlf&_

"13.7,-2.6,0",,"ZoomWindow"

Dim point1(0 To 2) As Double

Dim point2(0 To 2) As Double

point1(0) = 1.3: point1(1) = 7.8: point1(2) = 0

point2(0) = 13.7: point2(1) = -2.6: point2(2) = 0

ThisDrawing.Application.ZoomWindow point1, point2

'Zoom Pick Window

MsgBox "Perform a ZoomPickWindow", , "ZoomPickWindow"

ThisDrawing.Application.ZoomPickWindow

End Sub

Bạn bị sai chỗ màu đỏ. Sửa lại như sau

Msgbox"Perform a Zoom Window with:" & vbcrlf & "1.3,7.8,0" & vbcrlf & _

(có dấu cách giữa chữ &)

chú ý: Nếu dùng ZoomWindow thì thôi dùng ZoomPickWindow và ngược lại.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×